Subject: [nfsv4] Fwd: I-D ACTION:draft-gibson-pnfs-problem-statement-00.txt

From: "Talpey, Thomas" <[email-masked]>
Date: Thu, 12 Feb 2004 08:46:48 -0800

In case folks haven't seen this.

There's been an effort recently to explore using NFSv4 as a vehicle
for parallel filesystem work. We hope to discuss this at the upcoming
Connectathon and IETF meetings.

More information below and at <http://www.citi.umich.edu/NEPS>

Tom.

> ---------- Forwarded Message ----------
>Subject: I-D ACTION:draft-gibson-pnfs-problem-statement-00.txt
>Date: Mon, 9 Feb 2004 16:15:13 -0500
>From: <[email-masked]>
>Reply-To: <[email-masked]>
>
>A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
>	Title		: pNFS Problem Statement
>	Author(s)	: G. Gibson
>	Filename	: draft-gibson-pnfs-problem-statement-00.txt
>	Pages		: 12
>	Date		: 2004-2-9
>	
>This draft considers the problem of limited bandwidth to NFS servers.  
>   The bandwidth limitation exists because an NFS server has limited 
>   network, CPU, memory and disk I/O resources.  Yet, access to any one 
>   file system through the NFSv4 protocol requires that a single server 
>   be accessed.  While NFSv4 allows file system migration, it does not 
>   provide a mechanism that supports multiple servers simultaneously 
>   exporting a single writable file system. 
>    
>   This problem has become aggravated in recent years with the advent of 
>   very cheap and easily expanded clusters of application servers that 
>   are also NFS clients.  The aggregate bandwidth demands of such 
>   clustered clients, typically working on a shared data set 
>   preferentially stored in a single file system, can increase much more 
>   quickly than the bandwidth of any server.  The proposed solution is 
>   to provide for the parallelization of file services, by enhancing 
>   NFSv4 in a minor version.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-gibson-pnfs-problem-statement-00.txt
>
>To remove yourself from the IETF Announcement list, send a message to 
>ietf-announce-request with the word unsubscribe in the body of the message.
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>	"get draft-gibson-pnfs-problem-statement-00.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html 
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>	[email-masked].
>In the body type:
>	"FILE /internet-drafts/draft-gibson-pnfs-problem-statement-00.txt".
>	
>NOTE:	The mail server at ietf.org can return the document in
>	MIME-encoded form by using the "mpack" utility.  To use this
>	feature, insert the command "ENCODING mime" before the "FILE"
>	command.  To decode the response(s), you will need "munpack" or
>	a MIME-compliant mail reader.  Different MIME-compliant mail readers
>	exhibit different behavior, especially when dealing with
>	"multipart" MIME messages (i.e. documents which have been split
>	up into multiple messages), so check your local documentation on
>	how to manipulate these messages.
>		
>		
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>
>
> ---------- End of Forwarded Message ----------